This is a macro library for the M80 assembler that implements some structured 
programming constructs such as if.then.else, do.while.enddo, do.until.enddo, 
and switch.case.case.otherwise.endsw. Version 1.10 fixes a bug in the "switch" 
construct that caused bad branches to be generated when multiple switch 
constructs were nested. If you have M80STRUCT.LBR, replace it with this 
(M80STR11.LBR).                                         Al Grabauskas